/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player;

/**
 * @author joethei
 * @version 1.0
 */

import lombok.Getter;
import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.*;

import java.util.UUID;

@Getter
@Entity("players")
@Indexes(@Index(value = "lastName", fields = @Field("lastName")))
public class MongoPlayer {
    @Id private ObjectId id;
    private UUID uuid;
    private String lastName;
}