package eu.univento.commons.player.kick;

import eu.univento.commons.player.uuid.NameFetcher;

import java.util.Date;
import java.util.UUID;

/**
 * @author joethei
 * @version 1.0
 */
public class KickData {

    private KickReason reason;
    private Date date;
    private UUID kicker;

    public KickData(KickReason reason, Date date, UUID kicker) {
        this.reason = reason;
        this.date = date;
        this.kicker = kicker;
    }

    public KickReason getReason() {
        return reason;
    }

    public Date getDate() {
        return date;
    }

    public UUID getKicker() {
        return kicker;
    }

    public String getKickerName() {
        if(kicker == null)
            return "Auto Kick";
        return NameFetcher.getRequest(kicker);
    }
}