/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.chat;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;
import java.util.UUID;

/**
 * @author joethei
 * @version 1.0
 */

@Data
@AllArgsConstructor
public class ChatData {

    private final UUID sender;
    private final ChatMessageType type;
    private final Date date;
    private final String message;
}